#### 简要描述：

- 状态曲线

#### 接口版本：
|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2023-08-07 |  2023-08-07 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Report
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Report

#### 请求方式：

- POST
#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (QueryReportStatusTrack )   |
|FGUID |是|string |  车辆/设备唯一标识 |
|FStartTime|是 | string | 开始时间 例("2023-07-08 16:00:00")|
|FEndTime|是|string| 结束时间 例( "2023-08-07 15:59:59")|
|FSelectType|是|int|查询类型(0:车辆 1:设备)|

#### 返回示例:

**正确时返回:**

```xml
{
	"Result": 200,
	"Message": "check token success",
	"FObject": [
		{
			"FVehicleName": "837303000449",
			"FAssetID": "837303000449",
			"FGPSTime": "2023-07-10T09:40:32",
			"Bat": 76,
			"TH": "25.1℃(60%)",
			"Lx": 0,
			"Vib": 4519,
			"Press": 0,
			"Acce": "x:-2880;y:1376;z:-3200",
			"Pos": "x:-2880;y:1376;z:-3200",
			"FD": -1,
			"FLongitude": 113.918228424976,
			"FLatitude": 22.6726779622259,
			"FDir": 0,
			"FTemp1": 25.1000003814697,
			"FTemp2": -1000,
			"FHum1": 60,
			"FHum2": 0
		}
	]
}
```

**错误时返回:**

```xml
//表示传入的车辆或设备为空，应该是数据格式不对
{
    "Result": 102,
    "Message": "FGUID is null",
    "FObject": []
}
//表示有异常报错
{
    "Result": 105,
    "Message": "fail",
    "FObject": []
}


```

 
#### 备注:
- 更多返回错误代码如下：
- 102：请求参数错误
- 104：token过期
- 105：表示有异常报错

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FVehicleName |String   |车辆ID  |
|FAssetID |Int   |设备ID |
|FGPSTime |String   |GPS时间  |
|Bat |Int   |电量  |
|TH|String|温湿值|
|Lx|Int|光照度|
|Vib|Int|震幅|
|Press|Int|气压|
|Acce|String|加速度|
|Pos|String|姿态|
|FD|Int|车门状态|
|FLongitude|Double|当前经度|
|FLatitude|Double|当前纬度|
|FDir|Int|描述|
|FTemp1|Double|温度1|
|FTemp2|Double|温度2|
|FHum1|Double|湿度1|
|FHum2|Double|湿度2|

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{\r\n  \"FAction\": \"QueryReportStatusTrack\",\r\n  \"FGUID\": \"f6538348-bccf-4da2-86f0-6659cfcaa33d\",\r\n  \"FStartTime\": \"2023-07-08 16:00:00\",\r\n  \"FEndTime\": \"2023-08-07 15:59:59\",\r\n  \"FSelectType\": 0,\r\n  \"FTokenID\": \"3acef045-d302-4032-b40a-d9ee6c1519cd\",\r\n  \"FTimeDifferent\": 28800,\r\n  \"FLanguage\": \"1\"\r\n}";
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{
  "FAction": "QueryReportStatusTrack",
  "FGUID": "f6538348-bccf-4da2-86f0-6659cfcaa33d",
  "FStartTime": "2023-07-08 16:00:00",
  "FEndTime": "2023-08-07 15:59:59",
  "FSelectType": 0,
  "FTokenID": "3acef045-d302-4032-b40a-d9ee6c1519cd",
  "FTimeDifferent": 28800,
  "FLanguage": "1"
}";
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'

data = '{ "FAction": "QueryReportStatusTrack", "FGUID": "f6538348-bccf-4da2-86f0-6659cfcaa33d", "FStartTime": "2023-07-08 16:00:00", "FEndTime": "2023-08-07 15:59:59", "FSelectType": 0, "FTokenID": "3acef045-d302-4032-b40a-d9ee6c1519cd", "FTimeDifferent": 28800, "FLanguage": "1" }'

      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```