#### 简要描述：

- 油耗分析

#### 接口版本：
|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2023-09-18 | 2023-09-18 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Report
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Report

#### 请求方式：

- POST
#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (QueryReportFuelTrack )   |
|FVehicleGUID |是|string |  车辆唯一标识|
|FStartTime|是 | string | 开始时间 例("2023-07-08 16:00:00")|
|FEndTime|是|string| 结束时间 例( "2023-08-07 15:59:59")|

#### 返回示例:

**正确时返回:**

```xml
{
    "Result":200,
    "Message":"check token success",
    "FObject":{
        "Table":[
            {
                "Speed":66,
                "Mil":4390,
                "GT":"2023-09-17T16:02:03",
                "FV1":455,
                "FV2":457,
                "FV3":0,
                "FC":912
            }
        ],
        "Table1":[
            {
                "FSensorIndex":1,
                "FFuelSize":473,
                "FSensorName":""
            }
        ]
    }
}
```

**错误时返回:**

```xml
//表示传入的车辆为空，应该是数据格式不对
{
    "Result": 102,
    "Message": "FVehicleGUID is null",
    "FObject": []
}
//表示有异常报错
{
    "Result": 105,
    "Message": "fail",
    "FObject": []
}


```

 
#### 备注:
- 更多返回错误代码如下：
- 102：请求参数错误
- 104：token过期
- 105：表示有异常报错

#### 返回参数说明:
**Table**

|参数名|类型|说明|
|:-----  |:-----|-----|
|Speed|int| 速度|
|Mil |int   |里程  |
|GT|String| GPS时间|
|FV1|int|油位1|
|FV2|int |油位2|
|FV3|int|油位3|
|FC|int|总油位|

**Table1**

|参数名|类型|说明|
|:-----  |:-----|-----|
|FSensorIndex|int|传感器索引|
|FFuelSize|int|油箱容积|
|FSensorName|string|传感器接入的端口名称|


#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{\n\t\"FAction\": \"QueryReportFuelTrack\",\n\t\"FVehicleGUID\": \"a4b098c1-66e4-416d-8cf4-2d1cf88b65ab\",\n\t\"FStartTime\": \"2023-09-17 16:00:00\",\n\t\"FEndTime\": \"2023-09-18 15:59:59\",\n\t\"FTokenID\": \"bbd9ab6d-55df-4aa8-96d5-07595519e76d\"\n}";
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{\n\t\"FAction\": \"QueryReportFuelTrack\",\n\t\"FVehicleGUID\": \"a4b098c1-66e4-416d-8cf4-2d1cf88b65ab\",\n\t\"FStartTime\": \"2023-09-17 16:00:00\",\n\t\"FEndTime\": \"2023-09-18 15:59:59\",\n\t\"FTokenID\": \"bbd9ab6d-55df-4aa8-96d5-07595519e76d\"\n}";
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'


data = '{ "FAction": "QueryReportFuelTrack", "FVehicleGUID": "a4b098c1-66e4-416d-8cf4-2d1cf88b65ab", "FStartTime": "2023-09-17 16:00:00", "FEndTime": "2023-09-18 15:59:59", "FTokenID": "bbd9ab6d-55df-4aa8-96d5-07595519e76d" }'

      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```