#### 简要描述：

- 获取设备的实时定位数据

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2020-06-20 |  2020-06-20 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/LBS
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/LBS
#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (QueryLBSMonitorListByFGUIDs)  |
|FGUIDs |是  |string |车辆/设备唯一标识，多个以逗号隔开   |
|FType |是  |int |1：车辆  2：设备   |

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FAssetID": "7500313618",
            "FAssetTypeID": 701,
            "FLongitude": 113.916965,
            "FLatitude": 22.58107,
            "FSpeed": 0,
            "FDirection": 0,
            "FMileage": 0,
            "FGPSTime": "2020-08-12T01:56:16Z",
            "FRecvTime": "2020-08-12T01:56:31.036Z",
            "FLocationType": 1,
            "FCellSignal": 8,
            "FGPSSignal": 5,
            "FMNC": 0,
            "FMCC": 460,
            "FLAC": 10342,
            "FCELLID": 4242,
            "FBattery": 100,
            "FACC": -1,
            "FLockRope": 0,
            "FLockStatus": 0,
            "FFuelCut": -1,
            "FDoor": -1,
            "FMotor": -1,
            "FFuelValue1": -1,
            "FFuelValue2": -1,
            "FFuelValue3": -1,
            "FTemperature1": -1000.0,
            "FTemperature2": -1000.0,
            "FTemperature3": -1000.0,
            "FTemperature4": -1000.0,
            "FTemperature5": -1000.0,
            "FTemperature6": -1000.0,
            "FHumidity1": 0,
            "FHumidity2": 0,
            "FHumidity3": 0,
            "FHumidity4": 0,
            "FHumidity5": 0,
            "FHumidity6": 0,
            "FExpandProto": null,
			“FOnline”：1，
            "SubAssets": {
                "E0171A0107": {
                    "FAssetID": "E0171A0107",
                    "FDateTime": "2020-08-12T01:53:10Z",
                    "FEvent": 6,
                    "FHumidity": 0,
                    "FLockRope": 0,
                    "FLockStatus": 0,
                    "FLockTimes": 1028,
                    "FPower": 68,
                    "FRSSI": 84,
                    "FSensorType": 4,
                    "FTemperature": -1000.0,
                    "FVoltage": 3.93
                },
                "1018330094": {
                    "FAssetID": "1018330094",
                    "FDateTime": "2020-08-12T01:34:30Z",
                    "FEvent": -1,
                    "FHumidity": 71,
                    "FLockRope": 1,
                    "FLockStatus": 1,
                    "FLockTimes": -1,
                    "FPower": 98,
                    "FRSSI": 69,
                    "FSensorType": 1,
                    "FTemperature": 27.6,
                    "FVoltage": 3.04
                },
                "E0171A00FD": {
                    "FAssetID": "E0171A00FD",
                    "FDateTime": "2020-08-11T11:07:35Z",
                    "FEvent": 5,
                    "FHumidity": 0,
                    "FLockRope": 0,
                    "FLockStatus": 0,
                    "FLockTimes": 17,
                    "FPower": 68,
                    "FRSSI": 53,
                    "FSensorType": 4,
                    "FTemperature": -1000.0,
                    "FVoltage": 3.93
                },
                "1018100169": {
                    "FAssetID": "1018100169",
                    "FDateTime": "2020-08-12T01:29:29Z",
                    "FEvent": -1,
                    "FHumidity": 71,
                    "FLockRope": 1,
                    "FLockStatus": 1,
                    "FLockTimes": -1,
                    "FPower": 98,
                    "FRSSI": 87,
                    "FSensorType": 1,
                    "FTemperature": 28.200000000000003,
                    "FVoltage": 3.04
                }
            }
        }
    ]
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FAssetID |String   |设备ID  |
|FAssetTypeID |Int   |设备类型  |
|FLongitude |Decimal   |经度  |
|FLatitude |Decimal   |纬度  |
|FSpeed |Int   |速度  |
|FDirection |Int   |方向  |
|FMileage |Int   |里程  |
|FGPSTime |DateTime   |GPS时间（UTC时间，转成北京时间需要+8小时）  |
|FRecvTime |DateTime   |数据接收时间（UTC时间，转成北京时间需要+8小时）  |
|FLocationType |Int   |定位类型 1:卫星定位  2:基站定位  3:小区码定位  4:手机定位  0:不定位 |
|FCellSignal |Int   |GSM值号值  |
|FGPSSignal |Int   |GPS值号值  |
|FMNC |Int   |小区码MNC  |
|FMCC |Int   |小区码MCC  |
|FLAC |Int   |小区码LAC  |
|FCELLID |Int   |小区码CID  |
|FBattery |Int   |电量  |
|FACC |Int   |引擎状态  |
|FLockRope |Int   |锁绳状态 (1: 拔出 0:插入 -1:无) |
|FLockStatus |Int   |锁状态  (1: 开锁 0:关锁 -1:无)|
|FFuelCut |Int   |断油电状态  |
|FDoor |Int   |车门状态  |
|FMotor |Int   |车辆发动机状态  |
|FFuelValue1 |Int   |油位值1  |
|FFuelValue2 |Int   |油位值2  |
|FFuelValue3 |Int   |油位值3  |
|FTemperature1 |Decimal   |温度值1  |
|FTemperature2 |Decimal   |温度值2  |
|FTemperature3 |Decimal   |温度值3  |
|FTemperature4 |Decimal   |温度值4  |
|FTemperature5 |Decimal   |温度值5  |
|FTemperature6 |Decimal   |温度值6  |
|FHumidity1 |Decimal   |湿度值1  |
|FHumidity2 |Decimal   |湿度值2  |
|FHumidity3 |Decimal   |湿度值3  |
|FHumidity4 |Decimal   |湿度值4  |
|FHumidity5 |Decimal   |湿度值5  |
|FHumidity6 |Decimal   |湿度值6  |
|FExpandProto |String   |预留字段  |
|SubAssets |String   |从机信息  |
|FOnline |Int   |是否在网状态 1：是  0：否  |

**FExpandProto: 预留字段**

|参数名|类型|说明|
|:-----  |:-----|-----|
|FAwake|Int|唤醒源-1：无  0:重启 1：RTC  2：震动  3：开盖/拆卸  4：锁绳/条  5：充电  6：刷卡  7：Lora   8：VIP号码  9：短信 10：蓝牙  11：插绳  12：关盖  13：模拟  14：按键  15：非VIP号码  16：VIP号码唤醒  17：复位 18：温湿度异常  19：气压异常  20：开机 21：开关门  22：光感 |
|FPosture|Int|姿态系数|
|FDesc|String|其它拓展信息Json字符串|

**FDesc:其它拓展信息Json字符串**
例:{"fBackBattery":"92,4.08,0","fChange":0,"fNetworkType":4,"fPosture":"x:-178;y:3;z:12169","fRopeInfo":"{\"batteryStatus\":0,\"exist\":0,\"mac\":\"000000000000\",\"ropeStatus\":6,\"rssi\":0}","fVoltage":0.0}

**以下是拓展信息的所有字段，实际返回的Json字符串字段数量不会有这么多**

|参数名|类型|说明|
|:-----  |:-----|:-----|
|fBackBattery|String|备用电池|
|fNetworkType|Int|网络类型 2：2G 3:3G 4:4:G  5:5G |
|fPosture|String| 姿态  "x:1;y:-29;z:-2903"|
|fRopeInfo|String|锁条状态信息（Json字符串）|
|fVoltage|Float|电压值|
|fAngle|Int|倾斜度|
|fAcceleration|String|加速度|
|fLx|Float|光照度|
|fPressure|Float|气压|
|fVibrate|Int|震幅|
|fReportType|Int|数据类型  0：实时；1:补报；2：报警|
|fDoor1|Int|1:门1打开  0：门1关闭|
|fDoor2|Int|1:门2打开  0：门2关闭|
|fVolStatus|Int|电压状态（0：LED电压正常  1：LED高电压状态标记）|
|fVolValue|Double|LED电压值|
|fEleStatus|Int|电流状态  0：LED电流正常  1：LED高电流状态标记|
|fEleValue|Double|LED电流值|
|fLuminance|Int|亮度  0：表示关闭 （节能一级） ， <=25 (节能二级)   <=50 (节能三级)  <=75 (节能四级)  <=100 (节能五级) |
|fBackCover|Int|后盖状态：-1：无此状态；0：后盖关；1：后盖开 |
|fMainBattery|Int|针对JT705C，主电池状态（1: 主电池拆卸,0:主电池已安装；-1：不显示此状态） |


**fRopeInfo:其它拓展信息Json字符串**
例:"fRopeInfo":"{\"batteryStatus\":0,\"exist\":0,\"mac\":\"000000000000\",\"ropeStatus\":6,\"rssi\":0}"

|参数名|类型|说明|
|:-----  |:-----|-----|
|batteryStatus|Int| 低电状态  0：正常  1：低电  -1：--|
|exist|Int|在位状态  0：不在位  1：在位  -1：--|
|mac|String|锁条MAC|
|ropeStatus|Int|0:未知  1：在线  2：弯曲 3：锯断  4：丢失  5：锁钩锯断   6：锁杆锯断  7：锁杆拔出  -1：--|
|rssi|Int|RSSI|


#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 105：系统异常
- 102：请求参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/LBS";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"QueryLBSMonitorListByFGUIDs\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FGUIDs:\"BE2A1E27-B36E-4301-B2C8-465A62AD215F,FE0BDE75-4A30-4B9C-AD2E-66D8A4F44F5E\",FType:\"1\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/LBS";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"QueryLBSMonitorListByFGUIDs\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FGUIDs:\"BE2A1E27-B36E-4301-B2C8-465A62AD215F,FE0BDE75-4A30-4B9C-AD2E-66D8A4F44F5E\",FType:\"1\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
 url = 'http://cloud.assetscontrols.com:8092/OpenApi/LBS'
      data = {
      'FAction': 'QueryLBSMonitorListByFGUIDs',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd',
      'FGUIDs':'BE2A1E27-B36E-4301-B2C8-465A62AD215F,FE0BDE75-4A30-4B9C-AD2E-66D8A4F44F5E',
      'FType':1,
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```