#### 简要描述：

- 获取设备开锁密码信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2020-06-20 |  2020-06-20 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Instruction
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Instruction

#### 请求方式：
- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (QueryAssetPassword)  |
|FGUIDs |是  |string |锁唯一标识，多个用英文半角逗号隔开   |
|FPageSize |否  |Int |每页条数,缺省值为10   |
|FPageIndex |否  |Int |当前页码,缺省值为1   |

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FAssetGUID": "3a70d699-ab9d-4426-b394-3319874a7706",
            "FAssetID": "7200622909",
            "FAssetTypeID": 1701,
            "FAgentGUID": "4b3dd67a-00af-4118-87bf-fa9583a83b25",
            "FDynPsd": 1,
            "FStaticPsd": "123456",
            "FDynamicPsd": "677831",
            "RowNo": 1
        },
        {
            "FAssetGUID": "9c1d9a6d-9daf-4e8c-b409-0127743325ce",
            "FAssetID": "7581213453",
            "FAssetTypeID": 701,
            "FAgentGUID": "4b3dd67a-00af-4118-87bf-fa9583a83b25",
            "FDynPsd": 0,
            "FStaticPsd": "123456",
            "FDynamicPsd": null,
            "RowNo": 2
        }
    ]
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FAssetGUID |String   |设备唯一标识  |
|FAssetID |String   |设备ID  |
|FAssetTypeID |Int   |设备类型  |
|FAgentGUID |String   |公司唯一标识  |
|FDynPsd |Int   |动态密码开启状态  |
|FStaticPsd |String   |静态密码  |
|FDynamicPsd |String   |动态密码  |

#### 备注:

- 更多返回错误代码如下：
- 105：系统异常
- 102：参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"QueryAssetPassword\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FGUIDs:\"3A70D699-AB9D-4426-B394-3319874A7706,9C1D9A6D-9DAF-4E8C-B409-0127743325CE\",FPageSize:\"20\",FPageIndex:\"1\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"QueryAssetPassword\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FGUIDs:\"3A70D699-AB9D-4426-B394-3319874A7706,9C1D9A6D-9DAF-4E8C-B409-0127743325CE\",FPageSize:\"20\",FPageIndex:\"1\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Instruction'
      data = {
      'FAction': 'QueryAssetPassword'，
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'，
	  'FGUIDs':'3A70D699-AB9D-4426-B394-3319874A7706,9C1D9A6D-9DAF-4E8C-B409-0127743325CE'，
	  'FPageSize': 20，
	  'FPageIndex': 1
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```

**Node.js:**
```

```