#### 简要描述：

- 主动拍照

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2024-01-24 |   |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Instruction
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Instruction
#### 请求方式：
	
- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:


| 参数名                | 是否必须 | 类型   | 说明                      |
| :-------------------- | :------- | :----- | ------------------------- |
| FTokenID              | 是       | string | 令牌ID                    |
| FAction               | 是       | string | 方法名 (ActivePhotograph) |
| FAssetGUID          | 是       | string | 终端唯一标识              |
| FT_GpActivePhotograph | 是       | Object |                           |

**FT_GpActivePhotograph**

| 参数名    | 是否必须 | 类型   | 说明                                                         |
| --------- | -------- | ------ | ------------------------------------------------------------ |
| FCameraID | 是       | String | 摄像头ID  ，针对705设备，此字段不用传                                                 |
| FInterval | 是       | int    | 图像回传间隔 以秒为单位,最大值为3600秒.若设置此值大于0，则表示录像，JT705范围为1-60s.           |
| FCount    | 是       | int    | 图像回传张数.若设置此值为０则表示不再上传图片数据,JT705最大值为10 |

#### 返回示例:

**正确时返回:**

```
{
	"Result": 200,
	"Message": "ins send ok",
	"FObject": []
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:


#### 备注:

- 更多返回错误代码如下：
- 105：系统异常
- 108：发送失败
- 102：参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{\"FAction\":\"ActivePhotograph\",\"FAssetGUID\":\"a64b2e58-9305-4a01-9c51-092205123945\",\"FT_GpActivePhotograph\":{\"FAssetID\":\"876208000137\",\"FCount\":1},\"FTokenID\":\"3acef045-d302-4032-b40a-d9ee6c1519cd\",\"FTimeDifferent\":28800,\"FLanguage\":\"1\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{\"FAction\":\"ActivePhotograph\",\"FAssetGUID\":\"a64b2e58-9305-4a01-9c51-092205123945\",\"FT_GpActivePhotograph\":{\"FAssetID\":\"876208000137\",\"FCount\":1},\"FTokenID\":\"3acef045-d302-4032-b40a-d9ee6c1519cd\",\"FTimeDifferent\":28800,\"FLanguage\":\"1\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction"

payload = {
    "FAction": "ActivePhotograph",
    "FAssetGUID": "a64b2e58-9305-4a01-9c51-092205123945",
    "FT_GpActivePhotograph": {
        "FAssetID": "876208000137",
        "FCount": 1
    },
    "FTokenID": "3acef045-d302-4032-b40a-d9ee6c1519cd",
    "FTimeDifferent": 28800,
    "FLanguage": "1"
}
headers = {
    "Authorization": "eyJhbGciOiJIUzUxMiJ9.eyJsb2dpbl91c2VyX2tleSI6IjZjNTg4Yjk2LTkyNTQtNDcyMC1iYzMwLWQ0ZTI0Mzc4YzMyMCJ9.oTjYmJFpmPDSqFX8oHkzdBMYhidGWxDaeygdKY3SphFrxq3yRzyPOq80kFUW1CH-gVW8M6tRlzTrPkvANMQxMg",
    "User-Agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:121.0) Gecko/20100101 Firefox/121.0",
    "Accept": "application/json, text/plain, */*",
    "Accept-Language": "zh-CN,zh;q=0.8,zh-TW;q=0.7,zh-HK;q=0.5,en-US;q=0.3,en;q=0.2",
    "Accept-Encoding": "gzip, deflate",
    "Content-Type": "application/json",
    "Origin": "http://120.25.245.20:8081",
    "Connection": "keep-alive",
    "Referer": "http://120.25.245.20:8081/",
    "content-type": "application/json"
}

response = requests.request("POST", url, json=payload, headers=headers)

print(response.text)
```

**Node.js:**
```

const request = require('request');

const options = {
  method: 'POST',
  url: 'http://120.25.245.20:8092/OpenApi/Instruction',
  headers: {
    Authorization: 'eyJhbGciOiJIUzUxMiJ9.eyJsb2dpbl91c2VyX2tleSI6IjZjNTg4Yjk2LTkyNTQtNDcyMC1iYzMwLWQ0ZTI0Mzc4YzMyMCJ9.oTjYmJFpmPDSqFX8oHkzdBMYhidGWxDaeygdKY3SphFrxq3yRzyPOq80kFUW1CH-gVW8M6tRlzTrPkvANMQxMg',
    'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:121.0) Gecko/20100101 Firefox/121.0',
    Accept: 'application/json, text/plain, */*',
    'Accept-Language': 'zh-CN,zh;q=0.8,zh-TW;q=0.7,zh-HK;q=0.5,en-US;q=0.3,en;q=0.2',
    'Accept-Encoding': 'gzip, deflate',
    'Content-Type': 'application/json',
    Origin: 'http://120.25.245.20:8081',
    Connection: 'keep-alive',
    Referer: 'http://120.25.245.20:8081/',
    'content-type': 'application/json'
  },
  body: {
    FAction: 'ActivePhotograph',
    FAssetGUID: 'a64b2e58-9305-4a01-9c51-092205123945',
    FT_GpActivePhotograph: {FAssetID: '876208000137', FCount: 1},
    FTokenID: '3acef045-d302-4032-b40a-d9ee6c1519cd',
    FTimeDifferent: 28800,
    FLanguage: '1'
  },
  json: true
};

request(options, function (error, response, body) {
  if (error) throw new Error(error);

  console.log(body);
});

```