#### 简要描述：

- 查询设备对应的远程指令集

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2021-12-31 |   |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Instruction
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Instruction
#### 请求方式：
	
- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (QuerySystemRemoteInstructions)  |
|FAssetGUID |是  |string |设备唯一标识   |
|FLanguage |是  |Int |0：英文；1：中文   |

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FType": null,
            "FName": "P01-查询终端版本",
            "FInsType": "P01"
        },
        {
            "FType": null,
            "FName": "P03-低电休眠控制",
            "FInsType": "P03"
        },
        {
            "FType": null,
            "FName": "P04-设置/查询数据上传间隔和休眠自动唤醒间隔",
            "FInsType": "P04"
        },
        {
            "FType": null,
            "FName": "P06-设置/查询监控中心IP、端口、APN",
            "FInsType": "P06"
        },
        {
            "FType": null,
            "FName": "P10-设置/查询时差",
            "FInsType": "P10"
        },
        {
            "FType": null,
            "FName": "P11-设置/查询VIP手机号码",
            "FInsType": "P11"
        },
        {
            "FType": null,
            "FName": "P12-设置/查询VIP号码是否允许报警",
            "FInsType": "P12"
        },
        {
            "FType": null,
            "FName": "P13-恢复出厂设置",
            "FInsType": "P13"
        },
        {
            "FType": null,
            "FName": "P14-读取终端的IMEI号",
            "FInsType": "P14"
        },
        {
            "FType": null,
            "FName": "P15-重启设备",
            "FInsType": "P15"
        },
        {
            "FType": null,
            "FName": "P22-授时(同步GMT时间)",
            "FInsType": "P22"
        },
        {
            "FType": null,
            "FName": "P23-设置/取消短信、电话可唤醒工作模式",
            "FInsType": "P23"
        },
        {
            "FType": null,
            "FName": "P32-主动进入休眠指令",
            "FInsType": "P32"
        },
        {
            "FType": null,
            "FName": "P37-设置G-sensor参数",
            "FInsType": "P37"
        },
        {
            "FType": null,
            "FName": "P38-查询/设置开锁报警时间间隔参数",
            "FInsType": "P38"
        },
        {
            "FType": null,
            "FName": "P40-查询/设置GPRS通道和短消息通道的报警开关",
            "FInsType": "P40"
        },
        {
            "FType": null,
            "FName": "P54-查询/设置设备追踪模式(设备持续工作)",
            "FInsType": "P54"
        },
        {
            "FType": null,
            "FName": "P55-查询/设置剩余电量百分比报警",
            "FInsType": "P55"
        },
        {
            "FType": null,
            "FName": "P56-超速报警速度阈值及时间阈值设置指令",
            "FInsType": "P56"
        },
        {
            "FType": null,
            "FName": "P57-GSM低信号报警阈值设置指令",
            "FInsType": "P57"
        },
        {
            "FType": null,
            "FName": "P61-电量低报警提示阀值设置",
            "FInsType": "P61"
        },
        {
            "FType": null,
            "FName": "P62-查询/设置里程统计相关参数",
            "FInsType": "P62"
        },
        {
            "FType": null,
            "FName": "P63-静态飘移处理功能设置",
            "FInsType": "P63"
        },
        {
            "FType": null,
            "FName": "P64-远程关机",
            "FInsType": "P64"
        },
        {
            "FType": null,
            "FName": "ZZZZ-自定义指令",
            "FInsType": "ZZZZ"
        }
    ]
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FType |String   |所属分类（如果为空，则没有分类）  |
|FName |String   |指令名称  |
|FInsType |String   |指令类型  |

#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 105：异常错误
- 102：请求参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"QuerySystemRemoteInstructions\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FAssetGUID:\"7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c\",FLanguage:\"1\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"QuerySystemRemoteInstructions\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FAssetGUID:\"7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c\",FLanguage:\"1\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Instruction'
      data = {
      'FAction': 'QuerySystemRemoteInstructions'，
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'，
	  'FAssetGUID':'7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c'，
	  'FLanguage':1
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```

**Node.js:**
```

```