#### 简要描述：

- 查询该设备的指令记录

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2021-12-31 |   |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Instruction
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Instruction
#### 请求方式：
	
- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (QueryInstructionRecord)  |
|FAssetGUID |是  |string |设备唯一标识   |
|FPageSize |否  |Int | 每页数量(默认20)  |
|FPageIndex |否  |Int | 页数(默认1)  |

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": {
        "Table": [
            {
                "FCount": 2
            }
        ],
        "Table1": [
            {
                "FGUID": "27b8c318-af8a-4304-878a-8a5f9c41aad8",
                "FAssetGUID": "9d73e134-84aa-43d1-be9b-77328c5036f6",
                "FAssetID": "231232",
                "FAssetTypeID": 701,
                "FInsType": "P14",
                "FIndex": 0,
                "FInsContent": "(P14)",
                "FBackContent": null,
                "FStatus": 0,
                "FSendTime": "2021-12-31T03:35:06.323",
                "FFinishTime": null,
                "FUserName": "test",
                "RowNo": 1
            },
            {
                "FGUID": "493d64d3-c1aa-4095-936b-6defeab35aad",
                "FAssetGUID": "9d73e134-84aa-43d1-be9b-77328c5036f6",
                "FAssetID": "231232",
                "FAssetTypeID": 701,
                "FInsType": "P14",
                "FIndex": -1,
                "FInsContent": "(P14)",
                "FBackContent": null,
                "FStatus": 0,
                "FSendTime": "2021-12-31T03:04:58.21",
                "FFinishTime": null,
                "FUserName": "test",
                "RowNo": 2
            }
        ]
    }
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FGUID |String   |记录唯一标识  |
|FAssetGUID |String   |设备唯一标识  |
|FAssetID |String   |设备ID  |
|FAssetTypeID |Int   |设备类型  |
|FInsType |String   |指令类型  |
|FInsContent |String   |指令内容  |
|FBackContent |String   |返回内容  |
|FStatus |Int   |指令执行状态；1：成功；0：未成功  |
|FUserName |String   |操作人  |
|FSendTime |DateTime   |指令发送时间  |
|FFinishTime |DateTime   |指令完成时间  |

#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 105：异常错误
- 102：请求参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"QueryInstructionRecord\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FAssetGUID:\"7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"QueryInstructionRecord\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FAssetGUID:\"7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Instruction'
      data = {
      'FAction': 'QueryInstructionRecord'，
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'，
	  'FAssetGUID':'7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```

**Node.js:**
```

```