#### JT/T808设备类型指令类型对象:
FInsType=Heart（终端心跳间隔）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FInterval: 终端心跳发送间隔，单位为秒（s）
}
```

FInsType= MsgResp（消息应答）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FTCPResponseTimeout: TCP 消息应答超时时间，单位为秒（s）
	FTCPRetransmission: TCP 消息重传次数
	FUDPResponseTimeout: UDP 消息应答超时时间，单位为秒（s）
	FUDPRetransmission: UDP 消息重传次数
	FSMSResponseTimeout: SMS 消息应答超时时间，单位为秒（s）
	FSMSRetransmission: SMS 消息重传次数
}
```

FInsType= Master（主服务器网络）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FAPN: 服务器 APN，无线通信拨号访问点。若网络制式为 CDMA，则该处为  PPP 拨号号码
	FUserName: 服务器无线通信拨号用户名
	FPassword: 服务器无线通信拨号密码
	FIp: 服务器地址,IP 或域名
	FTcpPort: 服务器 TCP 端口
	FUdpPort: 服务器 UDP 端口
}
```

FInsType= Backup（备用服务器网络）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FAPN: 服务器 APN，无线通信拨号访问点。若网络制式为 CDMA，则该处为  PPP 拨号号码
	FUserName: 服务器无线通信拨号用户名
	FPassword: 服务器无线通信拨号密码
	FIp: 服务器地址,IP 或域名
	FTcpPort: 服务器 TCP 端口
	FUdpPort: 服务器 UDP 端口
}
```

FInsType= MasterIC（道路运输证IC卡认证主服务器）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FIp: 道路运输证 IC 卡认证主服务器 IP 地址或域名
	FTcpPort: 道路运输证 IC 卡认证主服务器 TCP 端口
	FUdpPort: 道路运输证 IC 卡认证主服务器 UDP 端口
}
```

FInsType= BackupIC（道路运输证IC卡认证备用服务器）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FIp: 道路运输证 IC 卡认证主服务器 IP 地址或域名
	FTcpPort: 道路运输证 IC 卡认证主服务器 TCP 端口
	FUdpPort: 道路运输证 IC 卡认证主服务器 UDP 端口
}
```

FInsType= Location（定位信息汇报）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FReportDataType：0：定时汇报；1：定距汇报；2：定时和定距汇报
	FReportPlan：0：根据 ACC 状态； 1：根据登录状态和 ACC 状态，先判断登录状态，若登录再根据 ACC 状态

	FNotLoginReportInterval：驾驶员未登录汇报时间间隔，单位为秒（s），>0
	FSleepReportInterval：休眠时汇报时间间隔，单位为秒（s），>0
	FAlarmReportInterval：紧急报警时汇报时间间隔，单位为秒（s），>0
	FReportInterval：缺省时间汇报间隔，单位为秒（s），>0
	根据FReportDataType传入上面或者下面颜色标记的字段
	FReportMileage：缺省距离汇报间隔，单位为米(m),>0
	FNotLoginReportMileage：驾驶员未登录汇报距离间隔，单位为米（m），>0
	FSleepReportMileage：休眠时汇报距离间隔，单位为米（m），>0
	FAlarmReportMileage：紧急报警时汇报距离间隔，单位为米（m），>0
	FSupplementaryOfAngle：拐点补传角度，< 180
}

```
FInsType= Phone（电话号码设置）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FMonitorPhoneNumber：监控平台电话号码
	FResetPhoneNumber：复位电话号码，可采用此电话号码拨打终端电话让终端复位
	FRestoreFactoryPhoneNumber：恢复出厂设置电话号码，可采用此电话号码拨打终端电话让终端恢复出厂设置
	FMonitorSmsPhoneNumber：监控平台 SMS 电话号码
	FSmsAlarmPhoneNumber：接收终端 SMS 文本报警号码
	FListeningStrategy：终端电话接听策略，0：自动接听；1：ACC ON 时自动接听，OFF 时手动接听
	FMaximumTalkTimeOnce：每次最长通话时间，单位为秒（s），0 为不允许通话，0xFFFFFFFF 为不限制
	FMaximumTalkTimeMonth：当月最长通话时间，单位为秒（s），0 为不允许通话，0xFFFFFFFF 为不限制
	FMonitoringPhoneNumber：监听电话号码
	FMonitorVIPPhoneNumber：监管平台特权短信号码
}
```

FInsType= OverSpeed（超速报警参数设置）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FMaxSpeed：最高速度，单位为公里每小时（km/h）
	FOverSpeedDuration: 超速持续时间，单位为秒（s）
	FOverSpeedAlarmDifference: 超速报警预警差值，单位为 1/10Km/h
}
```

FInsType= Driving（超时驾驶报警参数设置）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FFatigueThreshold：连续驾驶时间门限，单位为秒（s）
	FDrivingTimeDay: 当天累计驾驶时间门限，单位为秒（s）
	FMinRestTime: 最小休息时间，单位为秒（s）
	FFatigueAlarmDifference: 疲劳驾驶预警差值，单位为秒（s），>0
}
```

FInsType= Parking（超时停车报警参数设置）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FMaxParkingTime：最长停车时间，单位为秒（s）
}
```

FInsType= Collision（碰撞报警参数设置）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FAcceleration: 碰撞加速度，单位 0.1g，设置范围在：0-79 之间，默认为10。(高字节)
	FCollisionTime: 碰撞时间，单位 4ms；（低字节）
}
```

FInsType= Rollover（侧翻报警参数设置）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FRolloverAngle: 侧翻角度，单位 1 度，默认为 30 度
}
```

FInsType= Photo（拍照控制）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FTimingControl: 定时拍照控制
	FDistanceControl: 定距拍照控制
	FPictureQuality: 图像/视频质量，1-10，1 最好图像/视频质量，1-10，1 最好图像/视频质量，1-10，1 最好
	FBrightness: 亮度
	FContrastRatio: 对比度
	FSaturation: 饱和度
	FChroma: 色度
}
```

FInsType= Vehicle（车辆信息设置）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	MileageValue: 车辆里程表读数，1/10km
	FProvinceId: 车辆所在的省域 ID
	FCityId: 车辆所在的市域 ID
	FLicensePlate: 公安交通管理部门颁发的机动车号牌
	FLicenseColor: 车牌颜色，按照 JT/T415-2006 的 5.4.12(参见表2)
}
```

FInsType= GNSS（GNSS设置）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FLocationType: GNSS 定位模式
/// bit0，0：禁用 GPS 定位， 1：启用 GPS 定位； 
    /// bit1，0：禁用北斗定位， 1：启用北斗定位； 
    /// bit2，0：禁用 GLONASS 定位， 1：启用 GLONASS 定位； 
/// bit3，0：禁用 Galileo 定位， 1：启用 Galileo 定位。
如果只启动GPS则传入2^0=1
如果只启动北斗则传入2^1=2
如果GPS与北斗都启动则为2^0+2^1=3
依次类推…
	FBaudRate: GNSS 波特率，定义如下
    /// 0x00：4800；0x01：9600； 
    /// 0x02：19200；0x03：38400； 
    /// 0x04：57600；0x05：115200。
	FModelDetailLocationInfo: GNSS 模块详细定位数据输出频率，定义如下：
    /// 0x00：500ms；0x01：1000ms（默认值）； 
    /// 0x02：2000ms；0x03：3000ms； 
    /// 0x04：4000ms。 
	FAcquisitionFrequency: GNSS 模块详细定位数据采集频率，单位为秒，默认为 1。
	FUploadType: GNSS 模块详细定位数据上传方式
    /// 0x00，本地存储，不上传（默认值）； 
    	/// 0x01，按时间间隔上传； 
    	/// 0x02，按距离间隔上传； 
    	/// 0x0B，按累计时间上传，达到传输时间后自动停止上传；（传入数值11） 
    	/// 0x0C，按累计距离上传，达到距离后自动停止上传；（传入数值12） 
      /// 0x0D，按累计条数上传，达到上传条数后自动停止上传（传入数值13）。
}
```

FInsType= FOTA（无线升级）
```json
FT_JT808Ins
{
	FUrl: URL 地址; 
	FAPN: 拨号点 名称; 
	FUserName: 拨号用户名; 
	FPassword: 拨号密码; 
	FIp: 地址; 
	FTcpPort: TCP 端口; 
	FUdpPort: UDP 端口; 
	FManufacturerID: 制造商 ID; 
	FHardwareVersion: 硬件版本; 
	FSoftwareVersion: 固件版本; 
	FConnectionTimeLimit: 连接到指定服务器时限
}
```

FInsType= Control（控制终端连接指定服务器）
```json
FT_JT808Ins
{
	FControlType: 连接控制; 
	FAuthCode: 监管平台鉴权码
	FAPN: 拨号点 名称; 
	FUserName: 拨号用户名; 
	FPassword: 拨号密码; 
	FIp: 地址; 
	FTcpPort: TCP 端口; 
	FUdpPort: UDP 端口; 
	FConnectionTimeLimit: 连接到指定服务器时限
}
```

FInsType= Shutdown（终端关机）

FInsType= Reset（终端复位）

FInsType= Factory（终端恢复出厂设置）

FInsType= TODC（关闭数据通信）

FInsType= TOAWC（关闭所有无线通信）

FInsType= Attribute（查询终端属性）

FInsType= SGBK（发送GBK指令）
```json
FT_JT808Ins
{
    FCommand:指令内容
}
```

FInsType= Abnormal（油位异常报警参数设置）
```json
FT_JT808Ins
{
	FFuelMode::模式 00=静止，01＝运动
	FFuelLevel:油量为15升(异常油位变化最小设置限值为5L）
	FFuelTimeInterval:时间5分钟（注：最小时间间隔为5分钟，最大值为60分钟，0分钟表示关闭该功能）
}
```

FInsType= Parameter（查询终端参数）

FInsType= SensorParam（查询油位传感器关键参数）

FInsType= SensorDamp（查询和设置油位传感器阻尼）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FDamp:阻尼，单位是秒，范围是 5 到 600；
}
```

FInsType= Volume（查询/设置油箱体积）
```json
FT_JT808Ins
{
	FOperationType:操作类型(1:设置；0：查询)
	FVolume:油箱体积,表示为 400L.若为 60L,则为 00060,最大值为 09999
}
```

FInsType= Version（查询终端版本号）