#### 简要描述：

- 获取单个车辆基础信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2022-06-06 | |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Admin
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Admin
#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名  (QueryAdminVehicleByVehicleName) |
|FVehicleName |是  |string |车牌号 |

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FGUID": "5b24bab0-829d-452b-898f-cc492bc9287b",
            "FVehicleName": "2690929760",
            "FAssetGUID": "0a1ecd86-1b0d-4b51-af37-e41dbf71d46a",
            "FAssetID": "2690929760",
            "FAssetTypeID": 200,
            "FVehicleCode": "",
            "FVehicleTypeID": 1,
            "FDescription": "",
            "FOperateType": "1",
            "FVIN": "",
            "FAgentGUID": "042032ac-6382-43b6-974f-7ec7f2c0fdfb",
            "FAgentName": "柯力二部",
            "FGroupGUID": "d1026011-6479-4b74-8a98-eaa42ce2cedc",
            "FGroupName": "砂浆罐",
            "FMainDriverGUID": "00000000-0000-0000-0000-000000000000",
            "FDriverName": null,
            "FDriverPhoneNumber": null,
            "FCreateTime": "2022-06-01T14:12:24.523"
        }
    ]
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FGUID |String   |车辆唯一标识  |
|FVehicleName |String   |车辆名  |
|FAssetGUID |String   |设备唯一标识  |
|FAssetID |String   |设备ID  |
|FAssetTypeID |Int   |设备类型  |
|FVehicleCode |String   |车辆编码  |
|FVehicleTypeID |Int   |车辆类型  |
|FDescription |String   |描述  |
|FOperateType |String   |运营类型（1：自营；2：租赁）  |
|FVIN |String   |车架号  |
|FAgentGUID |String   |设备所属公司唯一标识  |
|FAgentName |String   |设备所属公司名  |
|FGroupGUID |String   |设备所属分组唯一标识  |
|FGroupName |String   |设备所属分组名  |
|FMainDriverGUID |String   |主驾司机唯一标识  |
|FDriverName |String   |主驾司机姓名  |
|FDriverPhoneNumber |String   |主驾司机电话  |
|FCreateTime |DateTime   |注册时间(UTC时间)  |

#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 105：系统异常
- 102：请求参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"QueryAdminVehicleByVehicleName\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FVehicleName:\"2690929760\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"QueryAdminVehicleByVehicleName\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FVehicleName:\"2690929760\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
````python
 url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
      'FAction': 'QueryAdminVehicleByVehicleName',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd',
	  'FVehicleName': '2690929760'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
````