#### 简要描述：

- 获取车辆基础信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2020-06-20 |  2020-06-20 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Admin
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Admin
#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名  (QueryAdminVehicleList) |

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FGUID": "4b0be13f-4703-4629-93d2-b51f632344dc",
            "FVehicleName": "视频机816",
            "FAssetGUID": "066cd9b2-b64b-44f5-9f19-b6e7dc974140",
            "FAssetID": "6165016816",
            "FAssetTypeID": 808,
            "FVehicleCode": "816",
            "FVehicleTypeID": 1,
            "FDescription": "",
            "FOperateType": "",
            "FVIN": "",
            "FAgentGUID": "903ba776-b329-474e-86b1-3a922c54f821",
            "FAgentName": "部标测试",
            "FGroupGUID": "0b887ae3-e190-42a2-81f3-81f6127c8aa1",
            "FGroupName": "视频机测试",
            "FMainDriverGUID": "778572c1-7ca4-44a9-ab2d-6c4f9cfed800",
            "FDriverName": "Jhon",
            "FDriverPhoneNumber": "18362985485",
            "FCreateTime": "2020-07-20T06:13:37.613"
        },
        {
            "FGUID": "9154a616-038e-40da-91b4-87b7faccc15f",
            "FVehicleName": "粤B45678",
            "FAssetGUID": null,
            "FAssetID": null,
            "FAssetTypeID": null,
            "FVehicleCode": "",
            "FVehicleTypeID": 1,
            "FDescription": "粤B45678",
            "FOperateType": "1",
            "FVIN": "",
            "FAgentGUID": "4b3dd67a-00af-4118-87bf-fa9583a83b25",
            "FAgentName": "Joint测试",
            "FGroupGUID": "b595f14b-e8a7-49b3-b26c-4687ebfcb33f",
            "FGroupName": "JT702/JT705",
            "FMainDriverGUID": "00000000-0000-0000-0000-000000000000",
            "FDriverName": null,
            "FDriverPhoneNumber": null,
            "FCreateTime": "2020-08-04T09:27:21.127"
        }
      }
   ]
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FGUID |String   |车辆唯一标识  |
|FVehicleName |String   |车辆名  |
|FAssetGUID |String   |设备唯一标识  |
|FAssetID |String   |设备ID  |
|FAssetTypeID |Int   |设备类型  |
|FVehicleCode |String   |车辆编码  |
|FVehicleTypeID |Int   |车辆类型  |
|FDescription |String   |描述  |
|FOperateType |String   |运营类型（1：自营；2：租赁）  |
|FVIN |String   |车架号  |
|FAgentGUID |String   |设备所属公司唯一标识  |
|FAgentName |String   |设备所属公司名  |
|FGroupGUID |String   |设备所属分组唯一标识  |
|FGroupName |String   |设备所属分组名  |
|FMainDriverGUID |String   |主驾司机唯一标识  |
|FDriverName |String   |主驾司机姓名  |
|FDriverPhoneNumber |String   |主驾司机电话  |
|FCreateTime |DateTime   |注册时间(UTC时间)  |

#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 105：系统异常
- 102：请求参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"QueryAdminVehicleList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"QueryAdminVehicleList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
````python
 url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
      'FAction': 'QueryAdminVehicleList',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
````