#### 简要描述：

- 获取所有车辆类型

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2023-04-07 |   |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Admin
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Admin

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名  (QueryAdminVehicleType) |
|FGUID |是  |string |车辆唯一标识 |

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FVehicleTypeID": 1,
            "FVehicleTypeName": "货车",
            "FEnTypeName": "Truck"
        },
        {
            "FVehicleTypeID": 2,
            "FVehicleTypeName": "小型客车",
            "FEnTypeName": "Minibus"
        },
        {
            "FVehicleTypeID": 3,
            "FVehicleTypeName": "出租车",
            "FEnTypeName": "Taxi"
        },
        {
            "FVehicleTypeID": 4,
            "FVehicleTypeName": "大型客车",
            "FEnTypeName": "Bus"
        },
        {
            "FVehicleTypeID": 5,
            "FVehicleTypeName": "集装箱",
            "FEnTypeName": "Container"
        },
        {
            "FVehicleTypeID": 6,
            "FVehicleTypeName": "冷箱车",
            "FEnTypeName": "Truck-R"
        },
        {
            "FVehicleTypeID": 7,
            "FVehicleTypeName": "厢式货车",
            "FEnTypeName": "VAN"
        },
        {
            "FVehicleTypeID": 8,
            "FVehicleTypeName": "拖车",
            "FEnTypeName": "Trailer"
        },
        {
            "FVehicleTypeID": 9,
            "FVehicleTypeName": "小汽车",
            "FEnTypeName": "Car"
        },
        {
            "FVehicleTypeID": 10,
            "FVehicleTypeName": "摩托车",
            "FEnTypeName": "Motorcycle"
        },
        {
            "FVehicleTypeID": 11,
            "FVehicleTypeName": "冷库",
            "FEnTypeName": "Cold Store"
        }
    ]
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FEnTypeName |String   |车辆类型名称 （英文）|
|FVehicleTypeName |String   |车辆类型名称（中文）  |
|FVehicleTypeID |Int   |车辆类型  |

#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 105：系统异常
- 102：请求参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"QueryAdminVehicleType\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"QueryAdminVehicleType\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
      'FAction': 'QueryAdminVehicleType',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```