#### 简要描述：

- 车次派发用于车辆派发运输任务

#### 接口版本：
|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2022-09-22 |  2020-09-22 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Admin
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Admin

#### 请求方式：

- POST
#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (AddPublicRouteDeparture )   |
|FName |否|string |  公司名称，此字段传空时，则默认为当前用户所属公司
|FListRouteDeparture |是  | List&lt;MT_RouteDeparture&gt; | 运单内容,可派发  |

##### MT_RouteDeparture 对象说明:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FVehicleName  |是  |string |车牌号|
|FAssetID |是  |string |设备号|
|FRouteName   |是  |string    |路线名称|
|FPlanStartTime   |是  |DateTime    |计划开始时间（UTC时间）|
|FPlanEndTime   |是  |DateTime    |计划结束时间（UTC时间）|
|FWaybill   |否  |string    |订单号|
|FGoods   |否  |string    |货物名称|
|FCarrier   |否  |string    |承运商|
|FDriverName   |否  |string    |司机名|
|FContainerNo   |否  |string    |货箱|
|FCargoDescribe   |否  |string    |货物描述|
|FWaybill   |否  |string    |订单号|
|FConsignee   |否  |string    |收货人|
|FFinishType   |是  |int    | 完成规则  0：出目的地完成  1：到达目的地完成 2：目的地内开锁完成|
|FDepartureType   |是  |int    | 运单类型  0：普通单   1：计划单|
|FPlannedDuration   |是  |int    | 计划单提前时间（分钟）|

#### 返回示例:

**正确时返回:**

```xml
{
    "Result": 200,
    "Message": "success",
    "FObject": [
        {
            "RowNo": 0,  //对应传入对象（FListRouteDeparture）的序号
            "FWaybillGUID": "d0ddcad6-c5d6-4876-8174-f97e3956f72e" //该运单的唯一标识
        }
    ]
}
```

**错误时返回:**

```xml
//表示传入的对象为空，应该是数据格式不对
{
    "Result": 102,
    "Message": "FListRouteDeparture is null",
    "FObject": null
}
//表示有异常报错
{
    "Result": 105,
    "Message": "fail",
    "FObject": null
}
//表示传入的车牌号或者设备号有空数据
{
    "Result": 106,
    "Message": "FVehicleName or FAssetID has empty data",
    "FObject": null
}

//表示传入数据中的车牌号有重复的
{
    "Result": 107,
    "Message": "FVehicleName has duplicate data:" + 重复的车牌号，多个以逗号隔开,
    "FObject": null
}
//表示传入数据中的设备号有重复的
{
    "Result": 108,
    "Message": "FVehicleName has duplicate data:" + 重复的设备号，多个以逗号隔开,
    "FObject": null
}

//表示此公司在当前用户下找不到，建议登录平台查看
{
    "Result": 109,
    "Message": "FAgentName has no exists data:"  + 公司名称，
    "FObject": null
}
//表示这些设备号不存在，或者不在该公司下
{
    "Result": 110,
    "Message": "FAssetID has no exists data:" + 不存在的设备号，多个以逗号隔开,
    "FObject": null
}
//表示这些设备号有正在执行中的，建议到平台上结束运单后再派发
{
    "Result": 111,
    "Message": "FAssetID has running data:" + 正在执行任务的的设备号，多个以逗号隔开,
    "FObject": null
}
//表示这些车牌号有正在执行中的，建议到平台上结束运单后再派发
{
    "Result": 112,
    "Message": "FVehicleName has running data:" + 正在执行任务的的车牌号，多个以逗号隔开,
    "FObject": null
}
//表示这些路线名称不存在或者不在该公司下，建议到平台上确认下
{
    "Result": 113,
    "Message": "FRouteName has no exists data:" + 不存在的路线，多个以逗号隔开,
    "FObject": null
}
```

 
#### 备注:
- 更多返回错误代码如下：
- 106：账户过期
- 103：用户名或者密码错误
- 102：请求参数错误
- 105：表示有异常报错
- 106：表示传入的车牌号或者设备号有空数据
- 107：表示传入数据中的车牌号有重复的
- 108：表示传入数据中的设备号有重复的
- 109：表示此公司在当前用户下找不到，建议登录平台查看
- 110：表示这些设备号不存在，或者不在该公司下
- 111：表示这些设备号有正在执行中的，建议到平台上结束运单后再派发
- 112：表示这些车牌号有正在执行中的，建议到平台上结束运单后再派发
- 113：表示这些路线名称不存在或者不在该公司下，建议到平台上确认下

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"AddPublicRouteDeparture\",FName:\"S\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\","FListRouteDeparture":"[{\"FVehicleName\":\"13301781203\",\"FWaybill\":\"6757787\",\"FGoods\":\"223434\",\"FAssetID\":\"13301781203\",\"FRouteGUID\":\"42bfae96-cbed-4d2e-8e9f-c1cd4ad0d5df\",\"FRouteName\":\"43534\",\"FCarrier\":\"656546\",\"FDriverGUID\":\"\",\"FDriverName\":\"435435\",\"FDriverPhone\":\"6546\",\"FPlanStartTime\":\"2022-09-22 16:00:00\",\"FPlanEndTime\":\"2022-09-22 16:00:00\",\"FAgentGUID\":\"d6de6745-9b7b-42cd-b624-b4659f5f5ce5\",\"FRouteCode\":\"20220622103851\",\"FVehicleTypeID\":\"\",\"FVehicleImgType\":\"0\",\"FContainerNo\":\"6422f\",\"FCargoDescribe\":\"gfdgd\",\"FConsignee\":\"retgfd\",\"FFinishType\":1},{\"FVehicleName\":\"13301781203\",\"FWaybill\":\"6757787\",\"FGoods\":\"223434\",\"FAssetID\":\"13301781203\",\"FRouteGUID\":\"42bfae96-cbed-4d2e-8e9f-c1cd4ad0d5df\",\"FRouteName\":\"43534\",\"FCarrier\":\"656546\",\"FDriverGUID\":\"\",\"FDriverName\":\"435435\",\"FDriverPhone\":\"6546\",\"FPlanStartTime\":\"2022-09-22 16:00:00\",\"FPlanEndTime\":\"2022-09-22 16:00:00\",\"FAgentGUID\":\"d6de6745-9b7b-42cd-b624-b4659f5f5ce5\",\"FRouteCode\":\"20220622103851\",\"FVehicleTypeID\":\"\",\"FVehicleImgType\":\"0\",\"FContainerNo\":\"6422f\",\"FCargoDescribe\":\"gfdgd\",\"FConsignee\":\"retgfd\",\"FFinishType\":1}]}";
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"AddPublicRouteDeparture\",FAction:\"AddPublicRouteDeparture\",FName:\"S\","FListRouteDeparture":"[{\"FVehicleName\":\"13301781203\",\"FWaybill\":\"6757787\",\"FGoods\":\"223434\",\"FAssetID\":\"13301781203\",\"FRouteGUID\":\"42bfae96-cbed-4d2e-8e9f-c1cd4ad0d5df\",\"FRouteName\":\"43534\",\"FCarrier\":\"656546\",\"FDriverGUID\":\"\",\"FDriverName\":\"435435\",\"FDriverPhone\":\"6546\",\"FPlanStartTime\":\"2022-09-22 16:00:00\",\"FPlanEndTime\":\"2022-09-22 16:00:00\",\"FAgentGUID\":\"d6de6745-9b7b-42cd-b624-b4659f5f5ce5\",\"FRouteCode\":\"20220622103851\",\"FVehicleTypeID\":\"\",\"FVehicleImgType\":\"0\",\"FContainerNo\":\"6422f\",\"FCargoDescribe\":\"gfdgd\",\"FConsignee\":\"retgfd\",\"FFinishType\":1},{\"FVehicleName\":\"13301781203\",\"FWaybill\":\"6757787\",\"FGoods\":\"223434\",\"FAssetID\":\"13301781203\",\"FRouteGUID\":\"42bfae96-cbed-4d2e-8e9f-c1cd4ad0d5df\",\"FRouteName\":\"43534\",\"FCarrier\":\"656546\",\"FDriverGUID\":\"\",\"FDriverName\":\"435435\",\"FDriverPhone\":\"6546\",\"FPlanStartTime\":\"2022-09-22 16:00:00\",\"FPlanEndTime\":\"2022-09-22 16:00:00\",\"FAgentGUID\":\"d6de6745-9b7b-42cd-b624-b4659f5f5ce5\",\"FRouteCode\":\"20220622103851\",\"FVehicleTypeID\":\"\",\"FVehicleImgType\":\"0\",\"FContainerNo\":\"6422f\",\"FCargoDescribe\":\"gfdgd\",\"FConsignee\":\"retgfd\",\"FFinishType\":1}]}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
      'FAction': 'AddPublicRouteDeparture',
	  'FName': 'S',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd', 'FListRouteDeparture':'[{\"FVehicleName\":\"13301781203\",\"FWaybill\":\"6757787\",\"FGoods\":\"223434\",\"FAssetID\":\"13301781203\",\"FRouteGUID\":\"42bfae96-cbed-4d2e-8e9f-c1cd4ad0d5df\",\"FRouteName\":\"43534\",\"FCarrier\":\"656546\",\"FDriverGUID\":\"\",\"FDriverName\":\"435435\",\"FDriverPhone\":\"6546\",\"FPlanStartTime\":\"2022-09-22 16:00:00\",\"FPlanEndTime\":\"2022-09-22 16:00:00\",\"FAgentGUID\":\"d6de6745-9b7b-42cd-b624-b4659f5f5ce5\",\"FRouteCode\":\"20220622103851\",\"FVehicleTypeID\":\"\",\"FVehicleImgType\":\"0\",\"FContainerNo\":\"6422f\",\"FCargoDescribe\":\"gfdgd\",\"FConsignee\":\"retgfd\",\"FFinishType\":1},{\"FVehicleName\":\"13301781203\",\"FWaybill\":\"6757787\",\"FGoods\":\"223434\",\"FAssetID\":\"13301781203\",\"FRouteGUID\":\"42bfae96-cbed-4d2e-8e9f-c1cd4ad0d5df\",\"FRouteName\":\"43534\",\"FCarrier\":\"656546\",\"FDriverGUID\":\"\",\"FDriverName\":\"435435\",\"FDriverPhone\":\"6546\",\"FPlanStartTime\":\"2022-09-22 16:00:00\",\"FPlanEndTime\":\"2022-09-22 16:00:00\",\"FAgentGUID\":\"d6de6745-9b7b-42cd-b624-b4659f5f5ce5\",\"FRouteCode\":\"20220622103851\",\"FVehicleTypeID\":\"\",\"FVehicleImgType\":\"0\",\"FContainerNo\":\"6422f\",\"FCargoDescribe\":\"gfdgd\",\"FConsignee\":\"retgfd\",\"FFinishType\":1}]'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```