#### 简要描述：

- 查询公司车次列表

#### 接口版本：
|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2022-09-22 |  2020-09-22 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Admin
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Admin

#### 请求方式：

- POST
#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (QueryDepartureListByFAgentGUID )   |
|FAgentGUID |否|string | 公司唯一标识 |
|FStatus |是  |int| 运单状态(0:未发车;1:已发出;2:已到达 3:计划单)  |
|FPageSize|否|int| 分页查询 每页记录数|
|FPageIndex|否|int|分页查询 当前页数|


#### 返回示例:

**正确时返回:**

```xml
{
	"Result": 200,
	"Message": "check token success",
	"FObject": {
		"Table": [
			{
				"FTotalCount": 2,
				"FPlanCount": 0,
				"FWaitingCount": 2,
				"FRunningCount": 0,
				"FFinishCount": 0
			}
		],
		"Table1": [
			{
				"FGUID": "58a297aa-0703-41f4-95c2-d41440d4631d",
				"FVehicleGUID": "c6d3ca9d-ec2f-4ce9-8e54-9c3b1ade194b",
				"FVehicleName": "791011001167",
				"FWaybill": "20230316-001",
				"FGoods": "日用品",
				"FAssetGUID": "c4b7730e-f74b-4dee-833b-0128bf5dd7f4",
				"FAssetID": "791011001167",
				"FRouteGUID": "c5ed320f-5eb8-4e89-91ab-f480060bd427",
				"FCarrier": "久通",
				"FDriverGUID": "00000000-0000-0000-0000-000000000000",
				"FDriverName": "xx",
				"FDriverPhone": "885252522",
				"FPlanStartTime": "2023-03-16T23:00:00",
				"FActualStartTime": null,
				"FPlanEndTime": "2023-03-17T00:00:00",
				"FActualEndTime": null,
				"FContainerNo": "20230316-001",
				"FConsignee": "霍万庆",
				"FVehicleTypeID": 1,
				"FCargoDescribe": "",
				"FVehicleImgType": 0,
				"FFinishType": 1,
				"FDepartureType": 1,
				"FPlannedDuration": 30,
				"FLocationStatus": 1,
				"RowNo": 2,
				"FRouteName": "JT-TEST运单02",
				"FRouteCode": "20230314-02",
				"FAssetTypeID": 1709
			},
			{
				"FGUID": "aaf42ad9-5b26-4a79-ac1b-be9f1d53423d",
				"FVehicleGUID": "b0d32ae5-77bf-4abe-abcb-1b94c9f249c7",
				"FVehicleName": "20221103017",
				"FWaybill": "",
				"FGoods": "",
				"FAssetGUID": "c4a8a015-c645-437b-ad83-56ba65a9a449",
				"FAssetID": "20221103017",
				"FRouteGUID": "2619f283-89b9-488b-9c81-83c9ac56a4dd",
				"FCarrier": "",
				"FDriverGUID": "00000000-0000-0000-0000-000000000000",
				"FDriverName": "",
				"FDriverPhone": "",
				"FPlanStartTime": "2023-04-11T16:00:00",
				"FActualStartTime": null,
				"FPlanEndTime": "2023-04-18T16:00:00",
				"FActualEndTime": null,
				"FContainerNo": "",
				"FConsignee": "",
				"FVehicleTypeID": 0,
				"FCargoDescribe": "",
				"FVehicleImgType": 0,
				"FFinishType": 0,
				"FDepartureType": 0,
				"FPlannedDuration": 30,
				"FLocationStatus": 1,
				"RowNo": 1,
				"FRouteName": "JT-TEST1",
				"FRouteCode": "20230223",
				"FAssetTypeID": 709
			}
		]
	}
}
```

**错误时返回:**

```xml
//表示传入的公司的唯一标识为空，应该是数据格式不对
{
	"Result": 102,
	"Message": "FAgentGUID is null",
	"FObject": []
}
//表示token过期异常报错
{
	"Result": 104,
	"Message": "token error or timeout",
	"FObject": []
}
//表示有异常报错
{
    "Result": 105,
    "Message": "fail",
    "FObject": null
}

```

 
#### 备注:
- 更多返回错误代码如下：
- 106：账户过期
- 103：用户名或者密码错误
- 102：请求参数错误
- 104：token过期异常报错
- 105：表示有异常报错


#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{\"FAction\": \"QueryDepartureListByFAgentGUID\", \"FPageSize\": 50, \"FPageIndex\": 0, \"FStatus\": 0, \"FAgentGUID\": \"661E7209-C77E-4A54-AFB8-6D956F962BDF\", \"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae741\", \"FTimeDifferent\": 28800, \"FLanguage\": \"1\"}";
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{\"FAction\": \"QueryDepartureListByFAgentGUID\", \"FPageSize\": 50, \"FPageIndex\": 0, \"FStatus\": 0, \"FAgentGUID\": \"661E7209-C77E-4A54-AFB8-6D956F962BDF\", \"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae741\", \"FTimeDifferent\": 28800, \"FLanguage\": \"1\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
		'FAction': 'QueryDepartureListByFAgentGUID',
		'FTokenID': 'ec51d691-d9a7-4f74-95a8-1856be2ae741',
		'FAgentGUID':'661E7209-C77E-4A54-AFB8-6D956F962BDF',
		'FStatus':0,
		'FPageSize':50,
		'FPageIndex':0,
		'FTimeDifferent':28800,
		'FLanguage':1
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```