#### 简要描述：

- 修改车次信息

#### 接口版本：
|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2022-09-22 |  2020-09-22 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Admin
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Admin

#### 请求方式：

- POST
#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (UpdateRouteDepartureByFGUID )   |
|FT_RouteDeparture |是  | FT_RouteDeparture | 运单内容  |

##### FT_RouteDeparture 对象说明:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FGUID|是|string|运单唯一标识|
|FVehicleName  |是  |string |车牌号|
|FAssetGUID|是|string|设备唯一标识|
|FAssetID |是  |string |设备号|
|FRouteGUID|是|string|路线唯一标识|
|FAgentGUID|是|string|公司唯一标识|
|FPlanStartTime   |是  |DateTime    |计划开始时间（UTC时间）|
|FPlanEndTime   |是  |DateTime    |计划结束时间（UTC时间）|
|FRouteName   |否  |string    |路线名称|
|FWaybill   |否  |string    |订单号|
|FGoods   |否  |string    |货物名称|
|FCarrier   |否  |string    |承运商|
|FDriverName   |否  |string    |司机名|
|FContainerNo   |否  |string    |货箱|
|FCargoDescribe   |否  |string    |货物描述|
|FWaybill   |否  |string    |订单号|
|FConsignee   |否  |string    |收货人|
|FFinishType   |否  |int    | 完成规则  0：出目的地完成  1：到达目的地完成 2：目的地内开锁完成|
|FDepartureType   |否  |int    | 运单类型  0：普通单   1：计划单|
|FPlannedDuration   |否  |int    | 计划单提前时间（分钟）|

#### 返回示例:

**正确时返回:**

```xml
{
	"Result": 200,
	"Message": "Succeed",
	"FObject": []
}
```

**错误时返回:**

```xml
//表示传入的对象为空，应该是数据格式不对
{
    "Result": 102,
    "Message": "Parameters are error",
    "FObject": null
}
//表示有异常报错
{
    "Result": 105,
    "Message": "fail",
    "FObject": null
}

//表示运单开始时间异常报错
{
    "Result": 126,
    "Message": "plan start time error" ,
    "FObject": null
}
```

 
#### 备注:
- 更多返回错误代码如下：
- 106：账户过期
- 103：用户名或者密码错误
- 102：请求参数错误
- 105：表示有异常报错
- 126：表示传入运单开始时间报错

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{
	\"FAction\": \"UpdateRouteDepartureByFGUID\",
	\"FT_RouteDeparture\": {
		\"FGUID\": \"58a297aa-0703-41f4-95c2-d41440d4631d\",
		\"FVehicleName\": \"791011001167\",
		\"FAssetGUID\": \"c4b7730e-f74b-4dee-833b-0128bf5dd7f4\",
		\"FAssetID\": \"791011001167\",
		\"FRouteGUID\": \"c5ed320f-5eb8-4e89-91ab-f480060bd427\",
		\"FAgentGUID\": \"661E7209-C77E-4A54-AFB8-6D956F962BDF\",
		\"FPlanStartTime\": \"2023-03-16T23:00:00\",
		\"FPlanEndTime\": \"2023-03-17T00:00:00\"
	},
	\"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae745\",
	\"FTimeDifferent\": 28800,
	\"FLanguage\": \"1\"
}";
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{
	\"FAction\": \"UpdateRouteDepartureByFGUID\",
	\"FT_RouteDeparture\": {
		\"FGUID\": \"58a297aa-0703-41f4-95c2-d41440d4631d\",
		\"FVehicleName\": \"791011001167\",
		\"FAssetGUID\": \"c4b7730e-f74b-4dee-833b-0128bf5dd7f4\",
		\"FAssetID\": \"791011001167\",
		\"FRouteGUID\": \"c5ed320f-5eb8-4e89-91ab-f480060bd427\",
		\"FAgentGUID\": \"661E7209-C77E-4A54-AFB8-6D956F962BDF\",
		\"FPlanStartTime\": \"2023-03-16T23:00:00\",
		\"FPlanEndTime\": \"2023-03-17T00:00:00\"
	},
	\"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae745\",
	\"FTimeDifferent\": 28800,
	\"FLanguage\": \"1\"
}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
	'FAction': 'UpdateRouteDepartureByFGUID',
	'FT_RouteDeparture': {
		'FGUID': '58a297aa-0703-41f4-95c2-d41440d4631d',
		'FVehicleName': '791011001167',
		'FAssetGUID': 'c4b7730e-f74b-4dee-833b-0128bf5dd7f4',
		'FAssetID': '791011001167',
		'FRouteGUID': 'c5ed320f-5eb8-4e89-91ab-f480060bd427',
		'FAgentGUID': '661E7209-C77E-4A54-AFB8-6D956F962BDF',
		'FPlanStartTime': '2023-03-16T23:00:00',
		'FPlanEndTime': '2023-03-17T00:00:00'
	},
	'FTokenID': 'ec51d691-d9a7-4f74-95a8-1856be2ae745',
	'FTimeDifferent': 28800,
	'FLanguage': '1'
}
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```