#### 简要描述：

- 批量添加围栏

#### 接口版本：
|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2022-09-22 |  2020-09-22 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Admin
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Admin

#### 请求方式：

- POST
#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (AddGISFenceBatch )   |
|FAgentGUID |是|string |  公司唯一标识|
|FT_GISFenceList |是  | List&lt;MT_GISFence&gt; | 围栏信息列表  |

##### MT_GISFence 对象说明:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FName  |是  |string |围栏名称|
|FFenceTypeName   |是  |string    |围栏分组名称|
|FNumber|否|string|围栏编号|
|FRemark|否|string|围栏备注|
|FArea|否|double|区域|
|FFormType|否|int|围栏类型（1：多边形；2：圆形）|
|FFenceTypeGUID|否|string|围栏分组唯一标识|
|FPath|否|string|围栏经纬度集合|
|FRadius|否|double|半径|
|FCenterLon|否|double|中心点经度|
|FCenterLat|否|double|中心点纬度|
|FAddress|否|string | 地址|

#### 返回示例:

**正确时返回:**

```xml
{
    "Result": 200,
    "Message":"success",
    "FObject": []
}
```

**错误时返回:**

```xml
//表示传入的对象为空，应该是数据格式不对
{
    "Result": 102,
    "Message": "FT_GISFenceList is null",
    "FObject": []
}
//表示有异常报错
{
    "Result": 105,
    "Message": "fail",
    "FObject": []
}
//表示传入的围栏名称为空报错
{
    "Result": 106,
    "Message": "",
    "FObject": []
}

//表示传入的围栏分组名称为空报错
{
    "Result": 107,
    "Message": "",
    "FObject": []
}
//表示传入的围栏信息有重复的
{
	"Result": 108,
	"Message": "重复围栏名称",
	"FObject": []
}


```

 
#### 备注:
- 更多返回错误代码如下：
- 102：请求参数错误
- 104：token过期
- 105：表示有异常报错
- 106：表示传入的围栏名称为空
- 107：表示传入的围栏分组的名称为空
- 108：表示传入的围栏信息有重复的


#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{
	\"FAction\": \"AddGISFenceBatch\",
	\"FAgentGUID\": \"c4b7730e-f74b-4dee-833b-0128bf5dd7f4\",
	\"FT_GISFenceList\": [
		{
			\"FName\": \"我的围栏1\",
			\"FFenceTypeName\": \"我的围栏类型1\"
		},
		{
			\"FName\": \"我的围栏2\",
			\"FFenceTypeName\": \"我的围栏类型2\"
		}
	],
	\"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae745\",
	\"FTimeDifferent\": 28800,
	\"FLanguage\": \"1\"
}";
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{
	\"FAction\": \"AddGISFenceBatch\",
	\"FAgentGUID\": \"c4b7730e-f74b-4dee-833b-0128bf5dd7f4\",
	\"FT_GISFenceList\": [
		{
			\"FName\": \"我的围栏1\",
			\"FFenceTypeName\": \"我的围栏类型1\"
		},
		{
			\"FName\": \"我的围栏2\",
			\"FFenceTypeName\": \"我的围栏类型2\"
		}
	],
	\"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae745\",
	\"FTimeDifferent\": 28800,
	\"FLanguage\": \"1\"
}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
		'FAction': 'AddGISFenceBatch',
		'FAgentGUID': 'c4b7730e-f74b-4dee-833b-0128bf5dd7f4',
		'FT_GISFenceList': '[
			{
				\"FName\": \"我的围栏1\",
				\"FFenceTypeName\": \"我的围栏类型1\"
			},
			{
				\"FName\": \"我的围栏2\",
				\"FFenceTypeName\": \"我的围栏类型2\"
			}
		]',
		'FTokenID': 'ec51d691-d9a7-4f74-95a8-1856be2ae745',
		'FTimeDifferent': 28800,
		'FLanguage': '1'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```