#### 简要描述：

- 查询公司下所有围栏分组信息

#### 接口版本：
|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2022-09-22 |  2020-09-22 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Admin
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Admin

#### 请求方式：

- POST
#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (QueryGISFenceType )   |
|FAgentGUID |是|string |  公司唯一标识|


#### 返回示例:

**正确时返回:**

```xml
{
    "Result": 200,
    "Message":"success",
    "FObject": [				{
			"FGUID": "df0f8ab2-742e-448b-9c5e-088f88e996d5",
			"FIcon": "6",
			"FName": "运输路线",
			"FStrokeColor": "rgba(53, 106, 195, 0.8)",
			"FFillColor": "rgba(53, 106, 195, 0.4)"
		}]
}
```

**错误时返回:**

```xml
//表示传入的公司唯一标识为空，应该是数据格式不对
{
    "Result": 102,
    "Message": "FAgentGUID is null",
    "FObject": []
}
//表示有异常报错
{
    "Result": 105,
    "Message": "fail",
    "FObject": []
}



```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FGUID|string|围栏分组唯一标识|
|FIcon|string|图标|
|FName|string|围栏分组名称|
|FStrokeColor|string| 边框色|
|FFillColor|string|填充色|




#### 备注:
- 更多返回错误代码如下：
- 102：请求参数错误
- 104：token过期
- 105：表示有异常报错

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{
	\"FAction\": \"QueryGISFenceType\",
	\"FAgentGUID\": \"661e7209-c77e-4a54-afb8-6d956f962bdf\",
	\"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae745\",
	\"FTimeDifferent\": 28800,
	\"FLanguage\": \"1\"
}";
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{
	\"FAction\": \"QueryGISFenceType\",
	\"FAgentGUID\": \"661e7209-c77e-4a54-afb8-6d956f962bdf\",
	\"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae745\",
	\"FTimeDifferent\": 28800,
	\"FLanguage\": \"1\"
}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
			'FAction': 'QueryGISFenceType',
			'FAgentGUID': '661e7209-c77e-4a54-afb8-6d956f962bdf',
			'FTokenID': 'ec51d691-d9a7-4f74-95a8-1856be2ae745',
			'FTimeDifferent': 28800,
			'FLanguage': '1'
		}
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```