#### 简要描述：

- 围栏绑定车辆

#### 接口版本：
|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |lenny  |2022-09-22 |  2020-09-22 |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/GISServer
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/GISServer

#### 请求方式：

- POST
#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名 (UpdateGISVihicleBindFence )   |
|FT_GISVihicleBindFence |是  | FT_GISVihicleBindFence | 车辆围栏信息列表  |

##### FT_GISVihicleBindFence 对象说明:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FVehicleGUID  |是  |string |车辆唯一标识|
|FFenceGUID   |是  |string    |围栏唯一标识|
|FInAlarm|否|int|进围栏报警|
|FOutAlarm|否|int|出围栏报警|
|FStopAlarm|否|int|围栏内超时停留报警|
|FStopTime|否|int|围栏超时停留门限值|
|FOutUnLockAlarm|否|int|出围栏未上锁报警|
|FUnLockFence|否|int|围栏内开锁（开启后只能在这些特定围栏内才能开锁）|

#### 返回示例:

**正确时返回:**

```xml
{
    "Result": 200,
    "Message":"success",
    "FObject": []
}
```

**错误时返回:**

```xml
//表示传入的对象为空，应该是数据格式不对
{
    "Result": 102,
    "Message": "FT_GISFenceList is null",
    "FObject": []
}
//表示有异常报错
{
    "Result": 105,
    "Message": "fail",
    "FObject": []
}

```

 
#### 备注:
- 更多返回错误代码如下：
- 102：请求参数错误
- 104：token过期
- 105：表示有异常报错



#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{\r\n  \"FAction\": \"UpdateGISVihicleBindFence\",\r\n  \"FT_GISVihicleBindFence\": {\r\n    \"FVehicleGUID\": \"36f13b9b-62f9-4de2-aa82-9c065cb97027\",\r\n    \"FFenceGUID\": \"32f30c76-a7ac-4f68-b384-230e1ac471c9,655179b6-0cd4-46d9-a8cc-5f8b793fedd4,46e70dbf-8e6b-431d-84c7-7f1eac1cb603,6db5a322-b1c9-4fc0-b5eb-c962b0d8d610,fbdb37c1-bc4b-4433-8110-e1eb9bea8f5e\",\r\n    \"FInAlarm\": 0,\r\n    \"FOutAlarm\": 0,\r\n    \"FStopAlarm\": 0,\r\n    \"FStopTime\": 0,\r\n    \"FOverspeedAlarm\": 0,\r\n    \"FOverspeedValue\": 0,\r\n    \"FOutUnLockAlarm\": 0,\r\n    \"FUnLockFence\": 1,\r\n    \"FOffline\": 0,\r\n  },\r\n  \"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae745\",\r\n  \"FTimeDifferent\": 28800,\r\n  \"FLanguage\": \"1\"\r\n}";
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body =  "{\r\n  \"FAction\": \"UpdateGISVihicleBindFence\",\r\n  \"FT_GISVihicleBindFence\": {\r\n    \"FVehicleGUID\": \"36f13b9b-62f9-4de2-aa82-9c065cb97027\",\r\n    \"FFenceGUID\": \"32f30c76-a7ac-4f68-b384-230e1ac471c9,655179b6-0cd4-46d9-a8cc-5f8b793fedd4,46e70dbf-8e6b-431d-84c7-7f1eac1cb603,6db5a322-b1c9-4fc0-b5eb-c962b0d8d610,fbdb37c1-bc4b-4433-8110-e1eb9bea8f5e\",\r\n    \"FInAlarm\": 0,\r\n    \"FOutAlarm\": 0,\r\n    \"FStopAlarm\": 0,\r\n    \"FStopTime\": 0,\r\n    \"FOverspeedAlarm\": 0,\r\n    \"FOverspeedValue\": 0,\r\n    \"FOutUnLockAlarm\": 0,\r\n    \"FUnLockFence\": 1,\r\n    \"FOffline\": 0,\r\n  },\r\n  \"FTokenID\": \"ec51d691-d9a7-4f74-95a8-1856be2ae745\",\r\n  \"FTimeDifferent\": 28800,\r\n  \"FLanguage\": \"1\"\r\n}";
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
data =  '{ "FAction": "UpdateGISVihicleBindFence", "FT_GISVihicleBindFence": { "FVehicleGUID": "36f13b9b-62f9-4de2-aa82-9c065cb97027", "FFenceGUID": "32f30c76-a7ac-4f68-b384-230e1ac471c9,655179b6-0cd4-46d9-a8cc-5f8b793fedd4,46e70dbf-8e6b-431d-84c7-7f1eac1cb603,6db5a322-b1c9-4fc0-b5eb-c962b0d8d610,fbdb37c1-bc4b-4433-8110-e1eb9bea8f5e", "FInAlarm": 0, "FOutAlarm": 0, "FStopAlarm": 0, "FStopTime": 0, "FOverspeedAlarm": 0, "FOverspeedValue": 0, "FOutUnLockAlarm": 0, "FUnLockFence": 1, "FOffline": 0, }, "FTokenID": "ec51d691-d9a7-4f74-95a8-1856be2ae745", "FTimeDifferent": 28800, "FLanguage": "1" }'
data = parse.urlencode(data).encode('utf-8')
headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
 req = request.Request(url, headers=headers, data=data)  
 page = request.urlopen(req).read()
 page = page.decode('utf-8')
 # json_array = json.loads(page)
      return page;
```