#### 简要描述：

- 获取公司基础信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 |lenny  |2024-03-26 |   |

#### 请求URL:

- 国际客户：http://icloud.assetscontrols.com:8092/OpenApi/Admin
- 国内客户：http://cloud.assetscontrols.com:8092/OpenApi/Admin

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|FTokenID |是  |string |令牌ID   |
|FAction |是  |string |方法名(QueryAllSuperAdminAgentList)  |

#### 返回示例:

**正确时返回:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject":  
            [{
                "FAgentGUID": "37c1b3fc-119e-4ed1-b87d-47f3a6fa73bc",
                "FName": "你猜",
                "FCode": "你猜",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-06-28T09:43:17.117",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 1
            },
            {
                "FAgentGUID": "d5456af1-ffa2-416b-a335-116436479998",
                "FName": "紫金矿业集团黄金冶炼有限公司",
                "FCode": "紫金矿业集",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-06-04T03:45:42.38",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 2
            },
            {
                "FAgentGUID": "82c5ee8e-8f57-4021-ad27-6a1daa6a4637",
                "FName": "茂名市",
                "FCode": "茂名市",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-05-31T10:17:15.48",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 3
            },
            {
                "FAgentGUID": "256c6cd1-6a19-42a4-a572-de661d1c0e61",
                "FName": "北京市",
                "FCode": "北京市",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-04-25T02:39:41.69",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 4
            },
            {
                "FAgentGUID": "769d5f45-e8eb-40eb-b0e1-379131aab871",
                "FName": "深圳市",
                "FCode": "深圳市",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-04-25T02:39:41.68",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 5
            },
            {
                "FAgentGUID": "68afd094-d2c0-4796-b685-089f71b48e47",
                "FName": "中国黄金",
                "FCode": "中国黄金",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-04-25T02:39:41.643",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 6
            }
		]
     
}
```

**错误时返回:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|FAgentGUID |String   |公司唯一标识  |
|FFatherAgentGUID |String   |上级公司唯一标识  |
|FName |String   |公司名  |
|FFatherAgentName |String   |上级公司名  |
|FCode |String   |公司编码  |
|FFatherAgentCode |String   |上级公司编码  |
|FVehicleCode |String   |车辆编码  |
|FContacts |String   |联系人  |
|FDescribe |String   |描述  |
|FTelephone |String   |联系电话  |
|FEMailAddress |String   |邮件地址  |
|FCountry |String   |所属国家  |
|FTimeDifferent |Int   |时差  |
|FCreateTime |DateTime   |注册时间  |

#### 备注:

- 更多返回错误代码如下：
- 104：token错误或过期
- 102：请求参数错误

#### 请求示例:

**Java:**
```
String result = "";
//请求路径
String url = "http://183.2.181.238:56000/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
String body = "{FAction:\"QueryAllSuperAdminAgentList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}";  
URL realUrl = new URL(url);
// 设置通用请求的属性
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// 发送POST请求必须设置如下两行
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// 发送请求参数
pw.print(body);
// flush输出流的缓冲  
pw.flush();   
// 定义BufferedReader输入流来读取URL的响应
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// 定义BufferedReader输入流来读取URL的响应
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//返回的是json字符串
return result;
```

**C#：**
```
//请求路径
string url = "http://183.2.181.238:56000/OpenApi/Admin";  
//请求参数 ,json格式参数，建议用对象传入
string body = "{FAction:\"QueryAllSuperAdminAgentList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 //请求方式 post / get
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//返回的是json字符串
    return reader.ReadToEnd();
}
```

**Python：**
````python
 url = 'http://183.2.181.238:56000/OpenApi/Admin'
      data = {
      'FAction': 'QueryAllSuperAdminAgentList',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd',
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
````